Mopidy-Webhooks
===============

`Mopidy <https://www.mopidy.com/>`_ extension for sending mopidy play status to
arbitrary URL endpoints

Installation
============

Install by running::

    sudo python3 -m pip install Mopidy-Webhooks


Configuration
=============

To enable this extension, make sure to add the following variables to your
Mopidy configuration file. Note that multiple URLs can be sent to by separating
them with a comma. Tokens match the listing of urls::

    [webhooks]
    enabled = true
    urls = https://example.com/api/receiver/,http://127.0.0.1:8000/webhook/
    tokens = ,2349080989234089

The following configuration values are available:

- ``webhooks/enabled``: If the webhooks extension should be enabled or not.
  Defaults to disabled.
- ``webhooks/urls``: Comma-separated list of endpoints to send play data to
- ``webhooks/tokens``: Comma-separated list of tokens to send in the
  Authorization header for each URL


Project resources
=================

- `Source code <https://code.unbl.ink/secstate/mopidy-webhooks>`_
- `Issue tracker <https://code.unbl.ink/secstate/mopidy-webhooks/issues>`_
- `Changelog <https://code.unbl.ink/secstate/mopidy-webhooks/releases>`_


Credits
=======

- Author: `Colin Powell <https://github.com/powellc>`__
